Merge pull request #2067 from metalefty/which

Replace `which` with `command -v`
This commit is contained in:
matt335672
2021-12-01 15:52:42 +00:00
committed by GitHub
2 changed files with 5 additions and 5 deletions
+4 -4
View File
@@ -1,27 +1,27 @@
#!/bin/sh
which autoconf
command -v autoconf
if ! test $? -eq 0
then
echo "error, install autoconf"
exit 1
fi
which automake
command -v automake
if ! test $? -eq 0
then
echo "error, install automake"
exit 1
fi
which libtool || which libtoolize
command -v libtool || command -v libtoolize
if ! test $? -eq 0
then
echo "error, install libtool"
exit 1
fi
which pkg-config
command -v pkg-config
if ! test $? -eq 0
then
echo "error, install pkg-config"
+1 -1
View File
@@ -1,6 +1,6 @@
#!/bin/sh
which setxkbmap
command -v setxkbmap
if test $? -ne 0
then
echo "error, setxkbmap not found"